IcedTea-Web NetX

## net.sourceforge.jnlp
Class JNLPMatcher

    java.lang.Object
      net.sourceforge.jnlp.JNLPMatcher

    public final class JNLPMatcher

extends java.lang.Object

To compare launching JNLP file with signed APPLICATION.JNLP or APPLICATION_TEMPLATE.jnlp. Used by net.sourceforge.jnlp.runtime.JNLPCLassLoader

Constructor Summary
`JNLPMatcher(java.io.Reader appTemplate, java.io.Reader launchJNLP, boolean isTemplate)` Public constructor

Method Summary
`boolean` `isMatch()` Compares both JNLP files

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JNLPMatcher

    public JNLPMatcher(java.io.Reader appTemplate,
                       java.io.Reader launchJNLP,
                       boolean isTemplate)
                throws JNLPMatcherException

  Public constructor

  Parameters:
    `appTemplate` - the reader stream of the signed APPLICATION.jnlp or APPLICATION_TEMPLATE.jnlp
    `launchJNLP` - the reader stream of the launching JNLP file
    `isTemplate` - a boolean that specifies if appTemplateFile is a template
  Throws:
    `JNLPMatcherException` - if IOException, XMLParseException is thrown during parsing; Or launchJNLP/appTemplate is null

Method Detail

### isMatch

    public boolean isMatch()

  Compares both JNLP files

  Returns:
    true if both JNLP files are 'matched', otherwise false

IcedTea-Web NetX

Submit a bug or feature